-- MySQL dump 9.11
--
-- Host: localhost    Database: xxv
-- ------------------------------------------------------
-- Server version	4.0.23_Debian-1

--
-- Current Database: xxv
--

CREATE DATABASE /*!32312 IF NOT EXISTS*/ `xxv`;

USE xxv;

--
-- Table structure for table `AUTOTIMER`
--

DROP TABLE IF EXISTS `AUTOTIMER`;
CREATE TABLE `AUTOTIMER` (
  `Id` int(11) NOT NULL auto_increment,
  `Activ` enum('y','n') default 'y',
  `Done` enum('y','n') default 'y',
  `Search` varchar(100) NOT NULL default '',
  `InFields` set('title','subtitle','description') NOT NULL default '',
  `Channels` text,
  `Start` varchar(4) default '0000',
  `Stop` varchar(4) default '0000',
  `MinLength` int(11) default '0',
  `Priority` int(11) default NULL,
  `Lifetime` int(11) default NULL,
  `Dir` varchar(100) default NULL,
  PRIMARY KEY  (`Id`)
) TYPE=MyISAM;

--
-- Table structure for table `CHANNELS`
--

DROP TABLE IF EXISTS `CHANNELS`;
CREATE TABLE `CHANNELS` (
  `Id` varchar(100) NOT NULL default '',
  `Name` varchar(100) NOT NULL default '',
  `Frequency` int(11) NOT NULL default '0',
  `Parameters` varchar(100) default '',
  `Source` varchar(100) default NULL,
  `Srate` varchar(100) default '',
  `VPID` varchar(100) default '',
  `APID` varchar(100) default '',
  `TPID` varchar(100) default '',
  `Access` int(11) default '0',
  `SID` varchar(100) default '',
  `NID` varchar(100) default '',
  `TID` varchar(100) default '',
  `RID` varchar(100) default '',
  `POS` int(11) NOT NULL default '0',
  PRIMARY KEY  (`Id`)
) TYPE=MyISAM;

--
-- Table structure for table `EPG`
--

DROP TABLE IF EXISTS `EPG`;
CREATE TABLE `EPG` (
  `eventid` int(11) NOT NULL default '0',
  `title` varchar(100) NOT NULL default '',
  `subtitle` varchar(100) default '',
  `description` longtext,
  `channel_id` varchar(100) NOT NULL default '',
  `starttime` datetime NOT NULL default '0000-00-00 00:00:00',
  `duration` int(11) NOT NULL default '0',
  `tableid` varchar(100) default '',
  `addtime` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`eventid`),
  KEY `starttime` (`starttime`),
  KEY `channel_id` (`channel_id`)
) TYPE=MyISAM;

--
-- Table structure for table `MUSIC`
--

DROP TABLE IF EXISTS `MUSIC`;
CREATE TABLE `MUSIC` (
  `ID` varchar(128) NOT NULL default '',
  `FILE` text NOT NULL,
  `ARTIST` varchar(128) default 'unknown',
  `ALBUM` varchar(128) default 'unknown',
  `TITLE` varchar(128) default 'unknown',
  `COMMENT` varchar(128) default NULL,
  `TRACKNUM` varchar(10) default '0',
  `YEAR` int(4) default '1970',
  `GENRE` varchar(128) default NULL,
  `BITRATE` int(4) default NULL,
  `FREQUENCY` varchar(4) default NULL,
  `SECS` int(11) NOT NULL default '0',
  PRIMARY KEY  (`ID`)
) TYPE=MyISAM;

--
-- Table structure for table `OLDEPG`
--

DROP TABLE IF EXISTS `OLDEPG`;
CREATE TABLE `OLDEPG` (
  `eventid` int(11) NOT NULL default '0',
  `title` varchar(100) NOT NULL default '',
  `subtitle` varchar(100) default '',
  `description` longtext,
  `channel_id` varchar(100) NOT NULL default '',
  `starttime` datetime NOT NULL default '0000-00-00 00:00:00',
  `duration` int(11) NOT NULL default '0',
  `tableid` varchar(100) default '',
  `addtime` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`eventid`),
  KEY `starttime` (`starttime`),
  KEY `channel_id` (`channel_id`)
) TYPE=MyISAM;

--
-- Table structure for table `RECORDS`
--

DROP TABLE IF EXISTS `RECORDS`;
CREATE TABLE `RECORDS` (
  `EventId` int(100) NOT NULL default '0',
  `RecordId` int(100) NOT NULL default '0',
  `Duration` int(11) NOT NULL default '0',
  `Start` int(11) NOT NULL default '0',
  `Path` text NOT NULL,
  `addtime` timestamp(14) NOT NULL,
  PRIMARY KEY  (`EventId`),
  UNIQUE KEY `EventId` (`EventId`)
) TYPE=MyISAM;

--
-- Table structure for table `TIMERS`
--

DROP TABLE IF EXISTS `TIMERS`;
CREATE TABLE `TIMERS` (
  `Id` int(11) NOT NULL default '0',
  `Status` char(1) default '1',
  `ChannelID` varchar(100) NOT NULL default '',
  `Day` varchar(100) default '-------',
  `Start` int(11) default NULL,
  `Stop` int(11) default NULL,
  `Priority` int(11) default NULL,
  `Lifetime` int(11) default NULL,
  `File` varchar(100) default NULL,
  `Summary` text,
  `NextStartTime` datetime default NULL,
  `NextStopTime` datetime default NULL,
  `Collision` varchar(100) default '0',
  PRIMARY KEY  (`Id`)
) TYPE=MyISAM;

--
-- Table structure for table `USER`
--

DROP TABLE IF EXISTS `USER`;
CREATE TABLE `USER` (
  `Id` int(11) NOT NULL auto_increment,
  `Name` varchar(100) NOT NULL default '',
  `Password` varchar(100) NOT NULL default '',
  `Level` set('admin','user','guest') NOT NULL default '',
  PRIMARY KEY  (`Id`)
) TYPE=MyISAM;

